Add a bundle package to the cart (retail) — the same bundle again adds to its line. 400 if it can't be bought now or not enough units are left.
curl --request POST \
--url https://api.example.com/v1/cart/bundles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bundleId": "ef619154-fa96-4769-b9c4-ae17d911d4ea",
"quantity": 1
}
'import requests
url = "https://api.example.com/v1/cart/bundles"
payload = {
"bundleId": "ef619154-fa96-4769-b9c4-ae17d911d4ea",
"quantity": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bundleId: 'ef619154-fa96-4769-b9c4-ae17d911d4ea', quantity: 1})
};
fetch('https://api.example.com/v1/cart/bundles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cart/bundles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bundleId' => 'ef619154-fa96-4769-b9c4-ae17d911d4ea',
'quantity' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cart/bundles"
payload := strings.NewReader("{\n \"bundleId\": \"ef619154-fa96-4769-b9c4-ae17d911d4ea\",\n \"quantity\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/cart/bundles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bundleId\": \"ef619154-fa96-4769-b9c4-ae17d911d4ea\",\n \"quantity\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cart/bundles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bundleId\": \"ef619154-fa96-4769-b9c4-ae17d911d4ea\",\n \"quantity\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"userId": "<string>",
"items": [
{
"id": "<string>",
"productId": "<string>",
"productName": "<string>",
"quantity": 123,
"unitPrice": 123,
"available": true,
"productImage": "<string>",
"sizeId": "<string>",
"variantName": "<string>",
"sizeLabel": "<string>",
"size": "<string>"
}
],
"bundles": [
{
"id": "<string>",
"bundleId": "<string>",
"name": "<string>",
"quantity": 123,
"unitPrice": 123,
"lineTotal": 123,
"components": [
{
"productId": "<string>",
"sizeId": "<string>",
"productName": "<string>",
"variantName": "<string>",
"sizeLabel": "<string>",
"sku": "<string>",
"quantity": 123
}
],
"image": "<string>"
}
],
"subtotal": 123
}cart
Add a bundle package to the cart (retail) — the same bundle again adds to its line. 400 if it can't be bought now or not enough units are left.
POST
/
v1
/
cart
/
bundles
Add a bundle package to the cart (retail) — the same bundle again adds to its line. 400 if it can't be bought now or not enough units are left.
curl --request POST \
--url https://api.example.com/v1/cart/bundles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bundleId": "ef619154-fa96-4769-b9c4-ae17d911d4ea",
"quantity": 1
}
'import requests
url = "https://api.example.com/v1/cart/bundles"
payload = {
"bundleId": "ef619154-fa96-4769-b9c4-ae17d911d4ea",
"quantity": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({bundleId: 'ef619154-fa96-4769-b9c4-ae17d911d4ea', quantity: 1})
};
fetch('https://api.example.com/v1/cart/bundles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cart/bundles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bundleId' => 'ef619154-fa96-4769-b9c4-ae17d911d4ea',
'quantity' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cart/bundles"
payload := strings.NewReader("{\n \"bundleId\": \"ef619154-fa96-4769-b9c4-ae17d911d4ea\",\n \"quantity\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/cart/bundles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bundleId\": \"ef619154-fa96-4769-b9c4-ae17d911d4ea\",\n \"quantity\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cart/bundles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bundleId\": \"ef619154-fa96-4769-b9c4-ae17d911d4ea\",\n \"quantity\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"userId": "<string>",
"items": [
{
"id": "<string>",
"productId": "<string>",
"productName": "<string>",
"quantity": 123,
"unitPrice": 123,
"available": true,
"productImage": "<string>",
"sizeId": "<string>",
"variantName": "<string>",
"sizeLabel": "<string>",
"size": "<string>"
}
],
"bundles": [
{
"id": "<string>",
"bundleId": "<string>",
"name": "<string>",
"quantity": 123,
"unitPrice": 123,
"lineTotal": 123,
"components": [
{
"productId": "<string>",
"sizeId": "<string>",
"productName": "<string>",
"variantName": "<string>",
"sizeLabel": "<string>",
"sku": "<string>",
"quantity": 123
}
],
"image": "<string>"
}
],
"subtotal": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json